Author: jmorliaguet
Date: Mon Jun  5 10:01:24 2006
New Revision: 3309

Modified:
   CPSSkins4Five/trunk/INSTALL.txt
   CPSSkins4Five/trunk/configure.zcml

Log:

- changed the requirements for CPSSkins4Five - works fine under zope 2.10b1



Modified: CPSSkins4Five/trunk/INSTALL.txt
==============================================================================
--- CPSSkins4Five/trunk/INSTALL.txt     (original)
+++ CPSSkins4Five/trunk/INSTALL.txt     Mon Jun  5 10:01:24 2006
@@ -13,9 +13,9 @@
 
 CPSSkins4Five requires:
 
-- zope2 (zope33-port branch)
+- zope 2.10 (currently available as beta release 1)
 
-  $ svn co svn://svn.zope.org/repos/main/Zope/branches/zope33-port
+  $ svn co svn://svn.zope.org/repos/main/Zope/tags/2.10.0b1 Zope
 
 
 - cpsskins v3:
@@ -27,10 +27,11 @@
 Setup
 -----
 
-- Create a zope instance (2.9.10)
+- Create a zope instance
 
-- Place the 'cpsskins' package in the lib/python folder of the zope instance.
+- Place 'CPSSkins4Five' in the Products folder of the zope instance.
 
+- Place the 'cpsskins' package in the lib/python folder of the zope instance.
 
 - Start zope
 

Modified: CPSSkins4Five/trunk/configure.zcml
==============================================================================
--- CPSSkins4Five/trunk/configure.zcml  (original)
+++ CPSSkins4Five/trunk/configure.zcml  Mon Jun  5 10:01:24 2006
@@ -26,7 +26,7 @@
 
   <adapter
       provides="zope.app.container.interfaces.INameChooser"
-      for="cpsskins.setup.settings.ISettings"
+      for="cpsskins.setup.presets.IPresets"
       factory="zope.app.container.contained.NameChooser"
   />
 
@@ -36,6 +36,12 @@
       factory="zope.app.container.contained.NameChooser"
   />
 
+  <adapter
+      provides="zope.app.container.interfaces.INameChooser"
+      for="cpsskins.elements.interfaces.ITheme"
+      factory="zope.app.container.contained.NameChooser"
+  />
+
 
   <!-- CPSSkins4Five  -->
 
-- 
http://lists.nuxeo.com/mailman/listinfo/z3lab-checkins

Reply via email to